Name: 		kdevelop
Summary: 	Integrated Development Environment for C++/C
Version: 	1.4.1
Release: 	3mdk
Epoch:		1

Source: 	%name-%version.tar.bz2

URL: 		http://www.kdevelop.org/
Group: 		Development/C++
BuildRoot: 	%_tmppath/%name-%version-%release-root
License: 	GPL
Requires: 	autoconf automake enscript gcc-c++ gcc-cpp gimp htdig arts openssl-devel
Requires:	kdegraphics kdelibs-devel kdesdk kdesupport-devel kdeutils XFree86-devel
Requires:	kdoc libjpeg-devel libqt2-devel make perl sgml-tools gettext zlib1-devel
Requires:	libpng2-devel
BuildRequires:	arts autoconf automake db1 diffutils file flex freetype2 gawk
BuildRequires:	gcc-c++ gcc-cpp gettext kdelibs kdelibs-devel kdesupport-devel
BuildRequires:	libbinutils2 libbzip2_1 libjpeg62 libjpeg62-devel libmng1 libpng2
BuildRequires:	libqt2 libqt2-devel libtermcap m4 Mesa-common mktemp
BuildRequires:	openssl pam popt readline rpm-build texinfo XFree86-devel
BuildRequires:	XFree86-libs XFree86-static-libs zlib1

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
     
   * KAppWizard, which generates complete, ready-to-go sample applications
   
   * Classgenerator, for creating new classes and integrating them into the
     current project
     
   * File management for sources, headers, documentation etc. to be included in
     the project
     
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
     
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
     
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
     
   * Debugging your application by integrating KDbg
   
   * Editing of project-specific pixmaps with KIconEdit
   
   * The inclusion of any other program you need for development by adding it to
     the "Tools" menu according to your individual needs.

%prep

%setup -q

%build
# Dadou - 1.4-1mdk - --enable-final breaks build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-debug \
		    --enable-shared \
		    --enable-static \
		    --disable-mt \
		    --with-qt-includes=%_includedir/qt2/ \
		    --with-qt-libraries=%_libdir \
		    --with-qtdoc-dir=%_docdir/qt-2.3.0/html/ \
		    --disable-rpath

# Dadou - 1.4.1-1mdk - This one is broken. It looks in kdelibs buildroot
#		    --with-kdelibsdoc-dir=%_docdir/HTML/en/ \
#	            --disable-rpath

%make

%install
make install DESTDIR=%buildroot 

# Create LMDK menus
install -d %buildroot/%_menudir

# Dadou - 2.1-1mdk - This one is provided by qt2-designer
#kdedesktop2mdkmenu.pl kdevelop "Applications/Development/Development environments" %buildroot/%_datadir/applnk/Development/designer.desktop       %buildroot/%_menudir/kdevelop-designer
kdedesktop2mdkmenu.pl kdevelop "Applications/Development/Development environments" %buildroot/%_datadir/applnk/Development/kdevelop-setup.desktop %buildroot/%_menudir/kdevelop-kdevelop-setup
kdedesktop2mdkmenu.pl kdevelop "Applications/Development/Development environments" %buildroot/%_datadir/applnk/Development/kdevelop.desktop       %buildroot/%_menudir/kdevelop-kdevelop
# Dadou - 2.1-1mdk - This one is not provided in LMDK distribution
#kdedesktop2mdkmenu.pl kdevelop "Applications/Development/Development environments" %buildroot/%_datadir/applnk/Development/linguist.desktop       %buildroot/%_menudir/kdevelop-lingusit

# LMONTEL - 1.4-0.20010116-1mdk - Version in menu is not allowed
# Dadou - 1.4-1mdk - Warning, version change time to time. Check it everytime
#                    you rebuild this package
perl -pi -e "s|KDevelop 1.4|KDevelop|" %buildroot/%_menudir/kdevelop-kdevelop


%clean
rm -fr %buildroot

%files
%defattr(-,root,root) 
%dir %_docdir/HTML/
#%dir %_docdir/HTML/de/
#%dir %_docdir/HTML/de/kdevelop/
#%doc %_docdir/HTML/de/kdevelop/*.html
#%doc %_docdir/HTML/de/kdevelop/*.png
#%doc %_docdir/HTML/de/kdevelop/*.database
##
#%dir %_docdir/HTML/de/kdevelop/about/
#%doc %_docdir/HTML/de/kdevelop/about/*.css
#%doc %_docdir/HTML/de/kdevelop/about/*.html
#%doc %_docdir/HTML/de/kdevelop/about/*.png
##
#%dir %_docdir/HTML/de/kdevelop/kde_libref/
#%doc %_docdir/HTML/de/kdevelop/kde_libref/*.html
#%doc %_docdir/HTML/de/kdevelop/kde_libref/*.png
##
#%dir %_docdir/HTML/de/kdevelop/reference/
#%dir %_docdir/HTML/de/kdevelop/reference/C/
#%doc %_docdir/HTML/de/kdevelop/reference/C/*.html
##
#%dir %_docdir/HTML/de/kdevelop/tutorial/
#%doc %_docdir/HTML/de/kdevelop/tutorial/*.html
#%doc %_docdir/HTML/de/kdevelop/tutorial/*.png
##
#%dir %_docdir/HTML/de/kdevelop/welcome/
#%doc %_docdir/HTML/de/kdevelop/welcome/*.html
#%doc %_docdir/HTML/de/kdevelop/welcome/*.png
#
#
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kdevelop/
%doc %_docdir/HTML/en/kdevelop/*.database
%doc %_docdir/HTML/en/kdevelop/*.html
%doc %_docdir/HTML/en/kdevelop/*.png
#
%dir %_docdir/HTML/en/kdevelop/about/
%doc %_docdir/HTML/en/kdevelop/about/*.css
%doc %_docdir/HTML/en/kdevelop/about/*.html
%doc %_docdir/HTML/en/kdevelop/about/*.png
#
%dir %_docdir/HTML/en/kdevelop/kde_libref/
%doc %_docdir/HTML/en/kdevelop/kde_libref/*.html
%doc %_docdir/HTML/en/kdevelop/kde_libref/*.png
#
%dir %_docdir/HTML/en/kdevelop/programming/
%doc %_docdir/HTML/en/kdevelop/programming/*.html
%doc %_docdir/HTML/en/kdevelop/programming/*.png
#
%dir %_docdir/HTML/en/kdevelop/reference/
%dir %_docdir/HTML/en/kdevelop/reference/C/
%doc %_docdir/HTML/en/kdevelop/reference/C/*.html
#
%dir %_docdir/HTML/en/kdevelop/tutorial/
%doc %_docdir/HTML/en/kdevelop/tutorial/*.html
%doc %_docdir/HTML/en/kdevelop/tutorial/*.png
#
%dir %_docdir/HTML/en/kdevelop/welcome/
%doc %_docdir/HTML/en/kdevelop/welcome/*.html
%doc %_docdir/HTML/en/kdevelop/welcome/*.png
#
#
#%dir %_docdir/HTML/es/
#%dir %_docdir/HTML/es/kdevelop/
#%doc %_docdir/HTML/es/kdevelop/*.database
#%doc %_docdir/HTML/es/kdevelop/*.html
#%doc %_docdir/HTML/es/kdevelop/*.png
##
#%dir %_docdir/HTML/es/kdevelop/reference/
#%dir %_docdir/HTML/es/kdevelop/reference/C/
#%doc %_docdir/HTML/es/kdevelop/reference/C/*.html
##
#%dir %_docdir/HTML/es/kdevelop/welcome/
#%doc %_docdir/HTML/es/kdevelop/welcome/*.html
#%doc %_docdir/HTML/es/kdevelop/welcome/*.png
##
##
#%dir %_docdir/HTML/fr/
#%dir %_docdir/HTML/fr/kdevelop/
#%doc %_docdir/HTML/fr/kdevelop/*.database
##
##%dir %_docdir/HTML/fr/kdevelop/programming/
#%doc %_docdir/HTML/fr/kdevelop/programming/*.html
#%doc %_docdir/HTML/fr/kdevelop/programming/*.png
##
#%dir %_docdir/HTML/fr/kdevelop/tutorial/
#%doc %_docdir/HTML/fr/kdevelop/tutorial/*.html
#%doc %_docdir/HTML/fr/kdevelop/tutorial/*.png
##
#%dir %_docdir/HTML/fr/kdevelop/welcome/
#%doc %_docdir/HTML/fr/kdevelop/welcome/*.html
#%doc %_docdir/HTML/fr/kdevelop/welcome/*.png
#
##
#%dir %_docdir/HTML/hu/
#%dir %_docdir/HTML/hu/kdevelop/
#%doc %_docdir/HTML/hu/kdevelop/*.database
#%doc %_docdir/HTML/hu/kdevelop/*.html
#%doc %_docdir/HTML/hu/kdevelop/*.png
##
#%dir %_docdir/HTML/hu/kdevelop/kde_libref/
#%doc %_docdir/HTML/hu/kdevelop/kde_libref/*.html
#%doc %_docdir/HTML/hu/kdevelop/kde_libref/*.png
##
#%dir %_docdir/HTML/hu/kdevelop/programming/
#%doc %_docdir/HTML/hu/kdevelop/programming/*.html
#%doc %_docdir/HTML/hu/kdevelop/programming/*.png
##
#%dir %_docdir/HTML/hu/kdevelop/tutorial/
#%doc %_docdir/HTML/hu/kdevelop/tutorial/*.html
##%doc %_docdir/HTML/hu/kdevelop/tutorial/*.png
#
#%dir %_docdir/HTML/hu/kdevelop/welcome/
#%doc %_docdir/HTML/hu/kdevelop/welcome/*.html
#%doc %_docdir/HTML/hu/kdevelop/welcome/*.png
##
##
#%dir %_docdir/HTML/nl/
#%dir %_docdir/HTML/nl/kdevelop/
#%doc %_docdir/HTML/nl/kdevelop/*.database
##
#%dir %_docdir/HTML/nl/kdevelop/welcome/
#%doc %_docdir/HTML/nl/kdevelop/welcome/*.html
#%doc %_docdir/HTML/nl/kdevelop/welcome/*.png
##
#%dir %_docdir/HTML/pl/
#%dir %_docdir/HTML/pl/kdevelop/
#%doc %_docdir/HTML/pl/kdevelop/*.database
##
#
#%dir %_docdir/HTML/pt/
#%dir %_docdir/HTML/pt/kdevelop/
#%doc %_docdir/HTML/pt/kdevelop/*.database
#%doc %_docdir/HTML/pt/kdevelop/*.html
#%doc %_docdir/HTML/pt/kdevelop/*.png
##
#%dir %_docdir/HTML/pt/kdevelop/programming/
#%doc %_docdir/HTML/pt/kdevelop/programming/*.html
#%doc %_docdir/HTML/pt/kdevelop/programming/*.png
##
##
#%dir %_docdir/HTML/sv/
#%dir %_docdir/HTML/sv/kdevelop/
#%doc %_docdir/HTML/sv/kdevelop/*.database
##
##
#%dir %_docdir/HTML/zh_CN.GB2312/
#%dir %_docdir/HTML/zh_CN.GB2312/kdevelop/
#%doc %_docdir/HTML/zh_CN.GB2312/kdevelop/*.database
#%doc %_docdir/HTML/zh_CN.GB2312/kdevelop/*.html
##
#%dir %_docdir/HTML/zh_CN.GB2312/kdevelop/tutorial/
#%_docdir/HTML/zh_CN.GB2312/kdevelop/tutorial/*.html
#%_docdir/HTML/zh_CN.GB2312/kdevelop/tutorial/*.png
##
#%dir %_docdir/HTML/zh_CN.GB2312/kdevelop/welcome/
#%doc %_docdir/HTML/zh_CN.GB2312/kdevelop/welcome/*.html
#%doc %_docdir/HTML/zh_CN.GB2312/kdevelop/welcome/*.png
#
#
#
%_bindir/*
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Development/
%_datadir/applnk/Development/*
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kdevelop/
%_datadir/apps/kdevelop/*.rc
%_datadir/apps/kdevelop/*.spec
#
#
%dir %_datadir/apps/kdevelop/icons/
%dir %_datadir/apps/kdevelop/icons/hicolor/
%dir %_datadir/apps/kdevelop/icons/hicolor/16x16/
%dir %_datadir/apps/kdevelop/icons/hicolor/16x16/actions/
%_datadir/apps/kdevelop/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kdevelop/icons/hicolor/22x22/
%dir %_datadir/apps/kdevelop/icons/hicolor/22x22/actions/
%_datadir/apps/kdevelop/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kdevelop/icons/locolor/
%dir %_datadir/apps/kdevelop/icons/locolor/16x16/
%dir %_datadir/apps/kdevelop/icons/locolor/16x16/actions/
%_datadir/apps/kdevelop/icons/locolor/16x16/actions/*.png
#
#
%dir %_datadir/apps/kdevelop/pics/
%_datadir/apps/kdevelop/pics/*.png
#
#
%dir %_datadir/apps/kdevelop/templates/
%_datadir/apps/kdevelop/templates/*
#
#
%dir %_datadir/apps/kdevelop/tools/
%_datadir/apps/kdevelop/tools/*.pl
%_datadir/apps/kdevelop/tools/*.sh
%_datadir/apps/kdevelop/tools/kimport
#
#
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
%dir %_iconsdir/locolor/32x32/mimetypes/
%_iconsdir/locolor/32x32/mimetypes/*.png
#
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus


%changelog
* Wed Apr 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.1-3mdk
- Add requires

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-2mdk
- Move KDE menu entries in %%_datadir/applnk
- Rebuild against latest GCC

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-1mdk
- Kdevelop 1.4.1
- Disable PATH for kdelibsdoc-dir (looks in kdelibs buildroot!???)

* Sun Mar 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-6mdk
- Rebuild for Linux-Mandrake 8.0 Beta 2
- Rebuild against Qt 2.3.0
- Re-enable default PATH for kdelibsdoc-dir
- Clean BuildRequires

* Thu Mar  8 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.4-5mdk
- removed BuildRequires for libreadline4

* Thu Mar 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-4mdk
- Requires: libjpeg-devel

* Wed Feb 28 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-3mdk
- Add BuildRequires

* Sun Feb 25 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-2mdk
- Repackage (update in KDE 2.1 sources)

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-1mdk
- Kdevelop 1.4

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-0.20010220.1mdk
- Enable --disable-debug
- Rewrite file list to fix updates
- Remove non needed %%find_lang

* Tue Feb 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010213.1mdk
- Update code
- rebuild for kde > beta 2

* Thu Jan 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.4mdk
- Fix requires

* Thu Jan 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.3mdk
- Fix requires

* Thu Jan 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.2mdk
- Fix requires

* Thu Jan 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4-0.20010116.1mdk
- initial packaging
